HttpMessage::setRequestMethod
HttpMessage::setResponseCode
HttpMessage
PHP Manual

# HttpMessage::setRequestUrl

(PECL pecl_http >= 0.21.0)

HttpMessage::setRequestUrl — Set request URL

### Description

public bool HttpMessage::setRequestUrl ( string `$url` )

Set the Request URL of the HTTP Message.

### Parameters

`url`

  the request URL

### Return Values

Returns `TRUE` on success, or `FALSE` if the message is not of type HttpMessage::`TYPE_REQUEST` or supplied URL was empty.

HttpMessage::setRequestMethod
HttpMessage::setResponseCode
HttpMessage
PHP Manual